VERSION 5.00
Begin VB.Form frmAbout 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Title"
   ClientHeight    =   2955
   ClientLeft      =   1770
   ClientTop       =   2460
   ClientWidth     =   3735
   ControlBox      =   0   'False
   Icon            =   "About.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   197
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   249
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   345
      Left            =   1200
      TabIndex        =   0
      Tag             =   "/3d/"
      Top             =   2475
      Width           =   1260
   End
   Begin VB.Image imgIcon 
      Height          =   480
      Left            =   120
      Top             =   120
      Width           =   480
   End
   Begin VB.Label lblSmtp 
      Caption         =   "lblSmtp"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   255
      Left            =   840
      MouseIcon       =   "About.frx":000C
      TabIndex        =   7
      Top             =   2040
      Width           =   1950
   End
   Begin VB.Label lblWww 
      Caption         =   "lblWww"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   255
      Left            =   840
      MouseIcon       =   "About.frx":0316
      TabIndex        =   6
      Top             =   1440
      Width           =   2325
   End
   Begin VB.Label lblComments 
      Caption         =   "lblComments"
      Height          =   255
      Left            =   840
      TabIndex        =   5
      Top             =   1800
      Width           =   2760
   End
   Begin VB.Label lblInfo 
      Caption         =   "lblInfo"
      Height          =   255
      Left            =   840
      TabIndex        =   4
      Top             =   1200
      Width           =   2760
   End
   Begin VB.Label lblDistribute 
      Caption         =   "lblDistribute"
      Height          =   255
      Left            =   840
      TabIndex        =   3
      Top             =   720
      Width           =   2760
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00808080&
      BorderStyle     =   6  'Inside Solid
      Index           =   1
      X1              =   54
      X2              =   230
      Y1              =   71
      Y2              =   71
   End
   Begin VB.Label lblTitle 
      Caption         =   "lblTitle"
      ForeColor       =   &H00000000&
      Height          =   240
      Left            =   840
      TabIndex        =   1
      Top             =   120
      Width           =   2760
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00FFFFFF&
      BorderWidth     =   2
      Index           =   0
      X1              =   54
      X2              =   230
      Y1              =   72
      Y2              =   72
   End
   Begin VB.Label lblCopyright 
      Caption         =   "lblCopyright"
      Height          =   225
      Left            =   840
      TabIndex        =   2
      Top             =   480
      Width           =   2760
   End
End
Attribute VB_Name = "frmAbout"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const TEXT_COPYRIGHT As String = "Copyright  1998, Anders Fransson."
Private Const TEXT_DISTRIBUTE As String = "Freely distributed. All rights reserved."
Private Const TEXT_INFO As String = "For further information:"
Private Const TEXT_WWW As String = "http://hem1.passagen.se/fylke/"
Private Const TEXT_COMMENTS As String = "Send questions and comments to:"
Private Const TEXT_SMTP As String = "anders.fransson@home.se"

Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" _
    (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, _
    ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long

Public Sub ShowAboutForm(strTitle As String, Optional vntIcon As Variant)

    lblTitle = strTitle & " Version " & App.Major & "." & App.Minor & "." & App.Revision
    lblCopyright = TEXT_COPYRIGHT
    lblDistribute = TEXT_DISTRIBUTE
    lblInfo = TEXT_INFO
    lblWww = TEXT_WWW
    lblComments = TEXT_COMMENTS
    lblSmtp = TEXT_SMTP
    
    If Not IsMissing(vntIcon) Then imgIcon = vntIcon
    
    Me.Caption = strTitle
    Me.Show vbModal

End Sub

Private Sub cmdOK_Click()
    Unload Me
End Sub

Private Sub lblWww_click()
    ShellExecute 0, "Open", TEXT_WWW, "", "", vbNormalFocus
End Sub

Private Sub lblWww_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lblWww.ForeColor = vbRed
End Sub

Private Sub lblWww_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lblWww.MousePointer = vbCustom
End Sub

Private Sub lblWww_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lblWww.ForeColor = vbBlue
End Sub

Private Sub lblSmtp_click()
    ShellExecute 0, "Open", "mailto:" & TEXT_SMTP, "", "", vbNormalFocus
End Sub

Private Sub lblSmtp_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lblSmtp.ForeColor = vbRed
End Sub

Private Sub lblSmtp_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lblSmtp.ForeColor = vbBlue
End Sub

Private Sub lblSmtp_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lblSmtp.MousePointer = vbCustom
End Sub

